Bug 996959 - Guided Decision Table: null operator
Guided Decision Table: null operator
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: manstis
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 07:16 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:15:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
null operator (19.15 KB, image/png)
2013-08-14 07:16 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-14 07:16:58 EDT
Created attachment 786505 [details]
null operator

Description of problem:
It is possible to add a condition column without an operator. 

You can either do it the "right" way and select the operator "(no operator)". This makes it look like no operator was chosen yet. Or you can do it the wrong way and not select any operator at all. Either way, if you then click Apply changes, alert pops up saying that "Operator has not been selected". If you accept that, column is added.

The column added the right way is on the right in the screenshot and really has no operator in the table header.
The column added the wrong way is on the left and unfortunately has operator null.


Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1


Expected results:
The wrong way to go about it isn't possible at all or results in the same as the right way.


Additional info:
In the source code, both columns behave the same:
1.	|	//from row number: 1
2.	|	rule "Row 1 gdt"
3.	|	    dialect "mvel"
4.	|	    when
5.	|	        f : Fact( )
6.	|	        f2 : Fact( )
7.	|	    then
8.	|	end
Comment 5 Radovan Synek 2013-10-22 09:55:58 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.